{------------------------------------------------------------------------------}
{
   Unit Name: SubjectsForm
   Purpose  : To show the possible values for selected cell
   Author   : Vesa Lappalainen
   Date     : 13.09.00
   Changed  :

   ToDo     :            
} 
{------------------------------------------------------------------------------}

unit SubjectsForm;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls, savepos;

type
  TFormSubjects = class(TForm)
    PanelButtons: TPanel;
    PanelOKButton: TPanel;
    ButtonOK: TButton;
    ListBoxSubjects: TListBox;
    SavePos1: TSavePos;
    procedure ButtonOKClick(Sender: TObject);
    procedure ListBoxSubjectsClick(Sender: TObject);
  private
  public
    procedure Clear;
    procedure Add(const heading:string;i:integer;const s:string);
  end;

var
  FormSubjects: TFormSubjects;

implementation

uses TimeTableForm;

{$R *.DFM}

procedure TFormSubjects.Add(const heading:string;i: integer; const s: string);
begin
  Caption := heading;
  ListBoxSubjects.Items.AddObject(s,TObject(i));
end;

procedure TFormSubjects.ButtonOKClick(Sender: TObject);
begin
  Close;
end;

procedure TFormSubjects.Clear;
begin
  ListBoxSubjects.Clear;
end;

procedure TFormSubjects.ListBoxSubjectsClick(Sender: TObject);
begin
  FormTimeTables.Choose(Integer(ListBoxSubjects.Items.Objects[ListBoxSubjects.ItemIndex]));
end;

end.
